Package org.eclipse.net4j.util.security

## Class DiffieHellman.Client.Response

- java.lang.Object
- - org.eclipse.net4j.util.security.DiffieHellman.Client.Response

- Enclosing class:
    DiffieHellman.Client

      public static final class DiffieHellman.Client.Response
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Response​(byte[] clientPubKeyEnc, byte[] cipherText, byte[] paramsEnc)` |
    `Response​(ExtendedDataInput in)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getCipherText()` |
    `byte[]` | `getClientPubKeyEnc()` |
    `byte[]` | `getParamsEnc()` |
    `void` | `write​(ExtendedDataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Response

          public Response​(byte[] clientPubKeyEnc,
                          byte[] cipherText,
                          byte[] paramsEnc)

    - #### Response

          public Response​(ExtendedDataInput in)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write​(ExtendedDataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getClientPubKeyEnc

          public byte[] getClientPubKeyEnc()

    - #### getCipherText

          public byte[] getCipherText()

    - #### getParamsEnc

          public byte[] getParamsEnc()